***********************************************************************************

* File: clean_districts_01102014.do
* Contact: Rema Hanna - rema_hanna@hks.harvard.edu or Michael Greenstone - mgreenst@mit.edu

/*
Objective: The objective of this program is to standardize Indian district names in accordance
	with the 1981 district names and borders.

Structure:
1. Make state names consistent
2. Make district names consistent

Note: Original author was not noted at the beginning of this program.
*/

***********************************************************************************

* Change state names to keep states consistent over all 20 years of data
replace state = "Madhya Pradesh" if state == "Chhattisgarh"
replace state = "Bihar" if state == "Jharkhand"
replace state = "Uttar Pradesh" if state == "Uttaranchal"

* Change district names to keep districts consistent also
replace district = "Prakasam" if district == "Prakasam (Ongole)"
replace district = "Vishakhapatnam" if district == "Visakhapatnam"
replace district = "Andaman & Nicobar Islands" if district == "Andamans"
replace district = "Andaman & Nicobar Islands" if district == "Nicobars"
replace district = "Hyderabad+Rangareddi" if district == "Hyderabad"
replace district = "Hyderabad+Rangareddi" if district == "Rangareddi"
replace district = "Arunachal Pradesh (NEFA)" if district == "Changlang" | district == "Dibang Valley" |district == "East Kameng" | district == "East Siang" |district == "Lohit" |district == "Lower Subansiri" |district == "Papum Pare" |district == "Tawang" |district == "Tirap" |district == "Upper Siang" | district == "Upper Subansiri" |district == "West Kameng" |district == "West Siang"
replace district = "Karbi Anglong + N Cachar Hil" if district == "Karbi Anglong"
replace district = "Karbi Anglong + N Cachar Hil" if district == "North Cachar Hills"
replace district = "Lakhimpur + Dibrugarh" if district == "Lakhimpur"
replace district = "Lakhimpur + Dibrugarh" if district == "Dibrugarh"
replace district = "Bhojpur + Rohtas" if district == "Bhojpur"
replace district = "Bhojpur + Rohtas" if district == "Rohtas"
replace district = "Darbhanga+Samastipur+Madhuba" if district == "Darbhanga"
replace district = "Darbhanga+Samastipur+Madhuba" if district == "Samastipur"
replace district = "Darbhanga+Samastipur+Madhuba" if district == "Madhubani"
replace district = "Gaya + Nawada + Aurangabad" if district == "Gaya"
replace district = "Gaya + Nawada + Aurangabad" if district == "Nawada"
replace district = "Gaya + Nawada + Aurangabad" if district == "Aurangabad" & state == "Bihar"
replace district = "Munger + Begusari" if district == "Munger"
replace district = "Munger + Begusari" if district == "Begusarai"
replace district = "Muzaffarpur+Sitamhari+Vaisha" if district == "Muzaffarpur"
replace district = "Muzaffarpur+Sitamhari+Vaisha" if district == "Sitamhari"
replace district = "Muzaffarpur+Sitamhari+Vaisha" if district == "Vaishali"
replace district = "Patna + Nalanda" if district == "Patna"
replace district = "Patna + Nalanda" if district == "Nalanda"
replace district = "Purba Champaran+Paschim Cham" if district == "Purba Champaran"
replace district = "Purba Champaran+Paschim Cham" if district == "Pashchim Champaran"
replace district = "Purnia + Katihar" if district == "Purnia"
replace district = "Purnia + Katihar" if district == "Katihar"
replace district = "Saran + Siwan + Gopalgang" if district == "Saran"
replace district = "Saran + Siwan + Gopalgang" if district == "Siwan"
replace district = "Saran + Siwan + Gopalgang" if district == "Gopalganj"
replace district = "Delhi" if district == "Central" & state == "Delhi"
replace district = "Delhi" if district == "East" & state == "Delhi"
replace district = "Delhi" if district == "New Delhi"
replace district = "Delhi" if district == "North" & state == "Delhi"
replace district = "Delhi" if district == "North East" & state == "Delhi"
replace district = "Delhi" if district == "North West" & state == "Delhi"
replace district = "Delhi" if district == "South" & state == "Delhi"
replace district = "Delhi" if district == "South West" & state == "Delhi"
replace district = "Delhi" if district == "West" & state == "Delhi"
replace district = "Goa, Daman & Diu" if district == "Daman"
replace district = "Goa, Daman & Diu" if district == "Diu"
replace district = "Goa, Daman & Diu" if district == "North Goa"
replace district = "Goa, Daman & Diu" if district == "South Goa"
replace district = "Bharuch" if district == "Bharuch (Broach)"
replace district = "Kheda" if district == "Kheda (Kaira)"
replace district = "Surat + Valsad (Bulsar)" if district == "Surat"
replace district = "Surat + Valsad (Bulsar)" if district == "Valsad"
replace district = "Vadodara (Baroda)" if district == "Vadodara"
replace district = "Gurgaon + Faridabad" if district == "Gurgaon"
replace district = "Gurgaon + Faridabad" if district == "Faridabad"
replace district = "Hisar + Sirsa" if district == "Hisar"
replace district = "Hisar + Sirsa" if district == "Sirsa"
replace district = "Karnal + Kurkshetra" if district == "Karnal"
replace district = "Karnal + Kurkshetra" if district == "Kurukshetra"
replace district = "Rohtak + Sonipat" if district == "Rohtak"
replace district = "Rohtak + Sonipat" if district == "Sonipat"
replace district = "Kangra + Hamirpur + Una + Ku" if district == "Kangra"
replace district = "Kangra + Hamirpur + Una + Ku" if district == "Una"
replace district = "Kangra + Hamirpur + Una + Ku" if district == "Hamirpur" & state == "Himachal Pradesh"
replace district = "Shimla + Solan" if district == "Shimla"
replace district = "Shimla + Solan" if district == "Solan"
replace district = "Anantnag + Pulwama" if district == "Anantnag"
replace district = "Anantnag + Pulwama" if district == "Pulwama"
replace district = "Baramula + Kupwara" if district == "Baramula"
replace district = "Baramula + Kupwara" if district == "Kupwara"
replace district = "Kuthua" if district == "Kathua"
replace district = "Ladakh + Kargil" if district == "Kargil"
replace district = "Ladakh + Kargil" if district == "Leh (Ladakh)"
replace district = "Rajauri + Punch" if district == "Rajauri"
replace district = "Rajauri + Punch" if district == "Punch"
replace district = "Srinagar + Badgam" if district == "Srinagar"
replace district = "Srinagar + Badgam" if district == "Badgam"
replace district = "Bangalore" if district == "Bangalore Rural"
replace district = "Bangalore" if district == "Ramanagara"
replace district = "Chikmangalur" if district == "Chikmagalur"
replace district = "Dakshin Kannad (South Kanara" if district == "Dakshina Kannada"
replace district = "Kodagu (Coorg)" if district == "Kodagu"
replace district = "Uttar Kannad" if district == "Uttara Kannada"
replace district = "Alleppey" if district == "Alappuzha"
replace district = "Cannanore" if district == "Kannur"
replace district = "Cannanore" if district == "Kasaragod" /* Used to be in Cannanore */
replace district = "Cannanore" if district == "Kasargod"
replace district = "Palghat" if district == "Palakkad"
replace district = "Trivandrum" if district == "Thiruvananthapuram"
replace district = "Trichur" if district == "Thrissur"
replace district = "Quilon" if district == "Kollam"
replace district = "Lakshadweep (Laccadive, ...)" if district == "Lakshadweep"
replace district = "West Nimar" if district == "Barwani" /* Barwani was created from West Nimar */
replace district = "Bastar" if district == "Dantewada" /* Bastar contained Dantewada until 1998 */
replace district = "Durg + Raj Nandgaon" if district == "Durg"
replace district = "Durg + Raj Nandgaon" if district == "Rajnandgaon"
replace district = "Hoshangabad" if district == "Harda"
replace district = "Bastar" if district == "Kanker"
replace district = "Sehore + Bhopal" if district == "Bhopal"
replace district = "Sehore + Bhopal" if district == "Sehore"
replace district = "Bid (Bhir)" if district == "Bid"
replace district = "Greater Bombay" if district == "Mumbai"
replace district = "Greater Bombay" if district == "Mumbai (Suburban)"
replace district = "Kolhapur" if district == "Malkapur"
replace district = "Pune (Poona)" if district == "Pune"
replace district = "Raigarh (Kolaba)" if district == "Raigarh" & state == "Maharashtra"
replace district = "Salapur (Sholapur)" if district == "Solapur"
replace district = "Manipur" if district == "Bishnupur"
replace district = "Manipur" if district == "Chandel"
replace district = "Manipur" if district == "Churachandpur"
replace district = "Manipur" if district == "Imphal East"
replace district = "Manipur" if district == "Imphal West"
replace district = "Manipur" if district == "Senapati*"
replace district = "Manipur" if district == "Tamenglong"
replace district = "Manipur" if district == "Thoubal"
replace district = "Manipur" if district == "Ukhrul"
replace district = "Meghalaya" if district == "East Garo Hills"
replace district = "Meghalaya" if district == "East Khasi Hills"
replace district = "Meghalaya" if district == "Jaintia Hills"
replace district = "Meghalaya" if district == "Ri Bhoi"
replace district = "Meghalaya" if district == "South Garo Hills"
replace district = "Meghalaya" if district == "West Garo Hills"
replace district = "Meghalaya" if district == "West Khasi Hills"
replace district = "Mizoram" if district == "Aizawl"
replace district = "Mizoram" if district == "Champhai"
replace district = "Mizoram" if district == "Kolasib"
replace district = "Mizoram" if district == "Lawngtlai"
replace district = "Mizoram" if district == "Lunglei"
replace district = "Mizoram" if district == "Mamit"
replace district = "Mizoram" if district == "Saiha"
replace district = "Mizoram" if district == "Serchhip"
replace district = "Nagaland" if district == "Dimapur"
replace district = "Nagaland" if district == "Kohima"
replace district = "Nagaland" if district == "Mokokchung"
replace district = "Nagaland" if district == "Mon"
replace district = "Nagaland" if district == "Phek"
replace district = "Nagaland" if district == "Tuensang"
replace district = "Nagaland" if district == "Wokha"
replace district = "Nagaland" if district == "Zunheboto"
replace district = "Baleshwar (Balasore)" if district == "Baleshwar"
replace district = "Baleshwar (Balasore)" if district == "Balasore"
replace district = "Dhenkanal" if district == "Anugul" /* Anugul formed from Dhenkanal in 1993 */
replace district = "Sambalpur" if district == "Bargarh" /* Bargarh carved out of Sambalpur */
replace district = "Phulabani (Baudh Khondmals)" if district == "Baudh" /* Phulbana split into Baudh and ? */
replace district = "Baleshwar (Balasore)" if district == "Bhadrak" /* Bhadrak carved out of Balasore in 1993 */
replace district = "Sambalpur" if district == "Debagarh" /* Debagarh originally a part of Sambalpur */
replace district = "Ganjam" if district == "Gajapati"
replace district = "Sambalpur" if district == "Jharsuguda"
replace district = "Phulabani (Baudh Khondmals)" if district == "Kandhamal" /* Kandhamal formerly Baudh-Kandhamal */
replace district = "Puri" if district == "Khordha"
replace district = "Puri" if district == "Nayagarh" /* Puri split into Puri, Khurda, and Nayagarh in 1993 */
replace district = "Koraput" if district == "Malkangiri" /* Koraput bifurcated in 1993 into Malkangiri and Koraput */
replace district = "Koraput" if district == "Nabarangapur" /* Koraput also gave way to Nabarangapur in 1992 */
replace district = "Kalahandi" if district == "Nuapada" /* Kalahandi split in 1992 */
replace district = "Pondicherry" if district == "Pondicherry - total"
replace district = "Pondicherry" if district == "Karaikal"
replace district = "Pondicherry" if district == "Mahe"
replace district = "Pondicherry" if district == "Yanam"
replace district = "Jalandhar (Jullundur)" if district == "Jalandhar"
replace district = "Bathinda" if district == "Mansa"
replace district = "Faridkot" if district == "Moga" /* Moga and Muktsar districts came from Faridkot */
replace district = "Faridkot" if district == "Moga"
replace district = "Jalandhar (Jullundur)" if district == "Nawanshahr" /* Nawanshahr actually was formed from parts of Jalandhar AND Hoshiarpur, but I've chosen Jalandhar because it appears Jalandhar lost the greater proportion of people */
replace district = "Rupnagar (Ropar)" if district == "Rupnagar"
replace district = "Patiala" if district == "Fatehgarh Sahib"
replace district = "Kota" if district == "Baran" /* Baran split off from Kota */
replace district = "Jaipur" if district == "Dausa" /* Jaipur gave way to Dausa */
replace district = "Ganganagar" if district == "Hanumangarh"
replace district = "Ganganagar" if district == "Sri Ganganagar"
replace district = "Bharatpur" if district == "Dhaulpur"
replace district = "Sawai Madhopur" if district == "Karauli"
replace district = "Udaipur" if district == "Rajsamand"
replace district = "Sikkim" if district == "East" & state == "Sikkim"
replace district = "Sikkim" if district == "North" & state == "Sikkim"
replace district = "Sikkim" if district == "South" & state == "Sikkim"
replace district = "Sikkim" if district == "West" & state == "Sikkim"
replace district = "Coimbatore + Periyar" if district == "Coimbatore"
replace district = "Coimbatore + Periyar" if district == "Erode" /* Erode was called Periyar until 1996 */
replace district = "Madras" if district == "Chennai"
replace district = "Salem + Dharampuri" if district == "Salem"
replace district = "Salem + Dharampuri" if district == "Dharmapuri"
replace district = "Nilgiri" if district == "The Nilgiris"
replace district = "Tiruchchirappalli" if district == "Tiruchirappalli"
replace district = "Tiruchchirappalli" if district == "Perambalur"
replace district = "Tiruchchirappalli" if district == "Ariyalur"
replace district = "Chengalpattu" if district == "Kancheepuram"
replace district = "Chengalpattu" if district == "Thiruvallur"
replace district = "Madurai" if district == "Dindigul"
replace district = "Tiruchchirappalli" if district == "Karur"
replace district = "Thanjavur" if district == "Nagapattinam"
replace district = "Salem + Dharampuri" if district == "Namakkal"
replace district = "North Arcot" if district == "Tiruvannamalai"
replace district = "North Arcot" if district == "Vellore"
replace district = "Ramanathapuram" if district == "Sivaganga"
replace district = "South Arcot" if district == "Cuddalore"
replace district = "South Arcot" if district == "Viluppuram"
replace district = "Madurai" if district == "Theni"
replace district = "Thanjavur" if district == "Thiruvarur"
replace district = "Ramanathapuram" if district == "Virudhunagar"
replace district = "Tripura" if district == "Dhalai"
replace district = "Tripura" if district == "North Tripura"
replace district = "Tripura" if district == "South Tripura"
replace district = "Tripura" if district == "West Tripura"
replace district = "Basti" if district == "Ambedkar Nagar"
replace district = "Etawah" if district == "Auraiya"
replace district = "Pithoragarh" if district == "Champawat"
replace district = "Gonda" if district == "Balrampur"
replace district = "Bara Banki" if district == "Barabanki"
replace district = "Bulandshahr" if district == "Bulandshahar"
replace district = "Varanasi" if district == "Chandauli"
replace district = "Satna" if district == "Chitrakoot"
replace district = "Satna" if district == "Chitrakut"
replace district = "Agra" if district == "Firozabad"
replace district = "Meerut + Ghaziabad" if district == "Meerut"
replace district = "Meerut + Ghaziabad" if district == "Ghaziabad"
replace district = "Meerut + Ghaziabad" if district == "Gautam Buddha Nagar" | district == "Gautambudhnagar"
replace district = "Saharanpur" if district == "Hardwar"
replace district = "Aligarh" if district == "Hathras" /* Hathras resulted from a split b/w Aligarh, Agra, and Mathura, but Hathras town, the capital, was in Aligarh, so I am assigning it to Aligarh District */
replace district = "Jhansi + Lalitpur" if district == "Jhansi"
replace district = "Jhansi + Lalitpur" if district == "Lalitpur"
replace district = "Moradabad" if district == "Jyotiba Phule Nagar"
replace district = "Farrukhabad" if district == "Kannauj"
replace district = "Kanpur" if district == "Kanpur Dehat"
replace district = "Kanpur" if district == "Kanpur Nagar"
replace district = "Allahabad" if district == "Kaushambi"
replace district = "Gorakhpur" if district == "Mahrajganj"
replace district = "Hamirpur" if district == "Mahoba"
replace district = "Azamgarh" if district == "Mau"
replace district = "Tehri Garhwal" if district == "Rudraprayag"
replace district = "Basti" if district == "Sant Kabir Nagar"
replace district = "Basti" if district == "Siddharthnagar"
replace district = "Mirzapur" if district == "Sonbhadra"
replace district = "Nainital" if district == "Udham Singh Nagar"
replace district = "Uttar Kashi" if district == "Uttarkashi"
replace district = "Bahraich" if district == "Shrawasti"
replace district = "Varanasi" if district == "Sant Ravidas Nagar Bhadohi"
replace district = "Barddhaman (Burdwan)" if district == "Barddhaman"
replace district = "Barddhaman (Burdwan)" if district == "Bardhaman"
replace district = "Calcutta" if district == "Kolkata"
replace district = "West Dinajpur" if district == "Dakshin Dinajpur"
replace district = "West Dinajpur" if district == "Uttar Dinajpur"
replace district = "Twenty Four Parganas" if district == "North Twenty Four Parganas"
replace district = "Twenty Four Parganas" if district == "South  Twenty Four Parganas"
replace district = "Twenty Four Parganas" if district == "South Twenty Four Parganas"

* Second time through cleaning
replace district = "Kamrup" if district == "Barpeta"
replace district = "Goalpara" if district == "Kokrajhar"
replace district = "Goalpara" if district == "Bongaigaon"
replace district = "Lakhimpur + Dibrugarh" if district == "Dhemaji"
replace district = "Goalpara" if district == "Dhubri"
replace district = "Sibsagar" if district == "Golaghat"
replace district = "Cachar" if district == "Hailakandi"
replace district = "Cachar" if district == "Karimganj"
replace district = "Nagaon" if district == "Marigaon"
replace district = "Kamrup" if district == "Nalbari"
replace district = "Darrang" if district == "Sonitpur"
replace district = "Lakhimpur + Dibrugarh" if district == "Tinsukia"
replace district = "Purnia + Katihar" if district == "Araria"
replace district = "Bhagalpur" if district == "Banka"
replace district = "Hazaribag + Giridh" if district == "Giridih"
replace district = "Hazaribag + Giridh" if district == "Bokaro"
replace district = "Hazaribag + Giridh" if district == "Hazaribagh"
replace district = "Bhojpur + Rohtas" if district == "Buxar"
replace district = "Hazaribag + Giridh" if district == "Chatra"
replace district = "Santhal Pargana" if district == "Deoghar"
replace district = "Santhal Pargana" if district == "Dumka"
replace district = "Santhal Pargana" if district == "Godda"
replace district = "Santhal Pargana" if district == "Pakaur"
replace district = "Santhal Pargana" if district == "Sahibganj"
replace district = "Palamu" if district == "Garhwa"
replace district = "Ranchi" if district == "Gumla"
replace district = "Ranchi" if district == "Simdega"
replace district = "Munger + Begusari" if district == "Jamui"
replace district = "Gaya + Nawada + Aurangabad" if district == "Jehanabad"
replace district = "Bhojpur + Rohtas" if district == "Kaimur (Bhabua)"
replace district = "Munger + Begusari" if district == "Khagaria"
replace district = "Purnia + Katihar" if district == "Kishanganj"
replace district = "Hazaribag + Giridh" if district == "Kodarma"
replace district = "Munger + Begusari" if district == "Lakhisarai"
replace district = "Ranchi" if district == "Lohardaga"
replace district = "Saharsa" if district == "Madhepura"
replace district = "Singhbhum" if district == "Pashchimi Singhbhum"
replace district = "Singhbhum" if district == "East Singhbhum"
replace district = "Singhbhum" if district == "West Singhbhum"
replace district = "Singhbhum" if district == "Purbi Singhbhum"
replace district = "Munger + Begusari" if district == "Sheikhpura"
replace district = "Muzaffarpur+Sitamhari+Vaisha" if district == "Sheohar"
replace district = "Muzaffarpur+Sitamhari+Vaisha" if district == "Sitamarhi"
replace district = "Saharsa" if district == "Supaul"
replace district = "Sibsagar" if district == "Jorhat"
replace district = "Kheda" if district == "Anand"
replace district = "Panch Mahals" if district == "Dohad"
replace district = "Panch Mahals" if district == "Dahod"
replace district = "Janagadh" if district == "Junagadh"
replace district = "Bharuch" if district == "Narmada"
replace district = "Surat + Valsad (Bulsar)" if district == "Navsari"
replace district = "Surat + Valsad (Bulsar)" if district == "Navsara"
replace district = "Sabar Kantha" if district == "Sabarkantha"
replace district = "Mahesana" if district == "Patan"
replace district = "Janagadh" if district == "Porbandar"
replace district = "Hisar + Sirsa" if district == "Fatehabad"
replace district = "Rohtak + Sonipat" if district == "Jhajjar"
replace district = "Karnal + Kurkshetra" if district == "Kaithal"
replace district = "Ambala" if district == "Panchkula"
replace district = "Ambala" if district == "Yamunanagar"
replace district = "Karnal + Kurkshetra" if district == "Panipat"
replace district = "Mahendragarh" if district == "Rewari"
replace district = "Kangra + Hamirpur + Una + Ku" if district == "Kullu"
replace district = "Bijapur" if district == "Bagalkot"
replace district = "Mysore" if district == "Chamarajanagar"
replace district = "Mysore" if district == "Chamrajnagar"
replace district = "Chitradurga" if district == "Davanagere"
replace district = "Chitradurga" if district == "Davangere"
replace district = "Dharwad" if district == "Gadag"
replace district = "Dharwad" if district == "Haveri"
replace district = "Raichur" if district == "Koppal"
replace district = "Dakshin Kannad (South Kanara" if district == "Udupi"
replace district = "Quilon" if district == "Pathanamthitta" /* Pathanamthitta also contains parts of Idukki and Alleppey */
replace district = "Raipur" if district == "Dhamtari"
replace district = "Bilaspur" if district == "Kawardha" /* Also contains a part of Rajnandgaon */
replace district = "Mandla" if district == "Dindori"
replace district = "Raipur" if district == "Mahasamund"
replace district = "Jabalpur" if district == "Katni"
replace district = "Raigarh" if district == "Jashpur"
replace district = "Surguja" if district == "Koriya"
replace district = "Mandsaur" if district == "Neemuch"
replace district = "Morena" if district == "Sheopur"
replace district = "Shahdol" if district == "Umaria"
replace district = "Bilaspur" if district == "Korba"
replace district = "Bilaspur" if district == "Janjgir - Champa"
replace district = "Bhandara" if district == "Gondiya"
replace district = "Chandrapur" if district == "Gadchiroli"
replace district = "Parbhani" if district == "Hingoli"
replace district = "Aurangabad" if district == "Jalna"
replace district = "Osmanabad" if district == "Latur"
replace district = "Dhule" if district == "Nandurbar"
replace district = "Ratnagiri" if district == "Sindhudurg"
replace district = "Akola" if district == "Washim"
replace district = "Cuttack" if district == "Jagatsinghapur"
replace district = "Cuttack" if district == "Jajapur"
replace district = "Cuttack" if district == "Kendrapara"
replace district = "Koraput" if district == "Rayagada"
replace district = "Balangir" if district == "Sonapur"
replace district = "Faridkot" if district == "Muktsar"
replace district = "Tirunelveli" if district == "Thoothukkudi"
replace district = "Tirunelveli" if district == "Toothukudi"
replace district = "Meerut + Ghaziabad" if district == "Baghpat"
replace district = "Deoria" if district == "Kushinagar"
replace district = "Almora" if district == "Bageshwar"
replace district = "Amritsar" if district == "Amristar"

* Third time (Fixes water district names)
replace district = "Ahmadabad" if district == "Ahmedabad"
replace district = "Alleppey" if district == "Allapuzha"
replace district = "Dhenkanal" if district == "Angul"
replace district = "Shahdol" if district == "Anuppur"
replace district = "West Nimar" if district == "Badwani"
replace district = "East Nimar" if district == "Burhanpur"
replace district = "Goa, Daman & Diu" if district == "Goa"
replace district = "Gulbarga" if district == "Kalburgi"
replace district = "East Nimar" if district == "Khandwa"
replace district = "West Nimar" if district == "Khargone"
replace district = "Puri" if district == "Khurda"
replace district = "Rupnagar (Ropar)" if district == "Mohali"
replace district = "Narsimhapur" if district == "Narsinghpur"
replace district = "Panch Mahals" if district == "Panchmahal"
replace district = "Raigarh (Kolaba)" if district == "Raigad" & state == "Maharashtra"
replace district = "Balangir" if district == "Sonepur"
replace district = "Tirunelveli" if district == "Tuticorin"

* Fourth time (Fixes Dams Paper district names)
replace district = "Andaman & Nicobar Islands" if district == "Nicobar"
replace district = "Anantapur" if district == "Anantpur"
replace district = "Chittoor" if district == "Chittor"
replace district = "East Godavari" if district == "Eastgodavari"
replace district = "Mahbubnagar" if district == "Mehboobnagar"
replace district = "Hyderabad+Rangareddi" if district == "Rangareddy"
replace district = "Srikakulam" if district == "Srikakakulam"
replace district = "Vizianagaram" if district == "Vizianagram"
replace district = "Warangal" if district == "Warrangal"
replace district = "West Godavari" if district == "Westgodavri"
replace district = "Santhal Pargana" if district == "Santhalparganas"
replace district = "Chandigarh" if district == " Chandigarh"
replace district = "Dadra & Nagar Haveli" if district == "Dadra & Nagar"
replace district = "Delhi" if district == "Delhi U.T."
replace district = "Gandhinagar" if district == "Gandhi Nagar"
replace district = "Chikmangalur" if district == "Chikmanglur"
replace district = "Dakshin Kannad (South Kanara" if district == "Dakshin Kanna"
replace district = "Alleppey" if district == "Allepey"
replace district = "Lakshadweep (Laccadive, ...)" if district == "Lakshwadweep"
replace district = "Bid (Bhir)" if district == "Bir"
replace district = "Raigarh (Kolaba)" if district == "Kulaba(Raigar"
replace district = "Nashik" if district == "Nasik"
replace district = "Thane" if district == "Thana"
replace district = "Balangir" if district == "Balanagir"
replace district = "Phulabani (Baudh Khondmals)" if district == "Phulbani"
replace district = "Sundargarh" if district == "Sundergarh"
replace district = "Firozpur" if district == "Ferozpur"
replace district = "Sawai Madhopur" if district == "Sawai Madhopu"
replace district = "Chengalpattu" if district == "Chemgalpattu"
replace district = "Ramanathapuram" if district == "Ramanathapura"
replace district = "Tiruchchirappalli" if district == "Tiruchirapall"
replace district = "Kanpur" if district == "Kanpur Dehat (R)"
replace district = "Hugli" if district == "Hooghly"
replace district = "Haora" if district == "Howrah"
replace district = "Twenty Four Parganas" if district == "North Twenty"
replace district = "Arunachal Pradesh (NEFA)" if state == "Arunachal Pradesh"
replace district = "Karbi Anglong + N Cachar Hil" if district == "Karbianglong"
replace district = "Northcacharhills" if district == "Northcacharhills"
replace district = "Purba Champaran+Paschim Cham" if district == "Paschimchamparan"
replace district = "Purba Champaran+Paschim Cham" if district == "Purbi Champar"
replace district = "Hazaribag + Giridh" if district == "Hazaribag"
replace district = "Goa, Daman & Diu" if district == " Daman and Diu"
replace district = "Kangra + Hamirpur + Una + Ku" if district == "Kulu"
replace district = "Shimla + Solan" if district == "Simla"
replace district = "Durg + Raj Nandgaon" if district == "Raj Nandgaon"
replace district = "Salem + Dharampuri" if district == "Dharampuri"
replace district = "Manipur" if state == "Manipur"
replace district = "Meghalaya" if state == "Meghalaya"
replace district = "Mizoram" if state == "Mizoram"
replace district = "Nagaland" if state == "Nagaland"
replace district = "Sikkim" if state == "Sikkim"
replace district = "Coimbatore + Periyar" if district == "Periyar"
replace district = "Bathinda" if district == "Bhatinda"
