***** QLR test for mean-only model (equation 2a) *******

program define qlrtrend

syntax varlist [, trim(integer 5) filename(string)]
local y: word 1 of `varlist'

qui tsset tau
local lb = r(tmin) + `trim'
local ub = r(tmax) - `trim'


qui reg `y'
qui local T = e(N)
mat Q = J(`T' - 2*`trim' + 1,3,.)

local tt = 1
local ub = `ub' + 1

forval taus = `lb'/`ub' {
	tempvar breakpoint
	qui	gen `breakpoint' = 0
	qui replace `breakpoint' = 1 if tau>=`taus'

	tempvar breaktrend
	qui gen `breaktrend' = `breakpoint' * tau
	qui replace `breaktrend' = `breaktrend' + 1 if tau >= `taus'
	
	qui reg `y' `breakpoint' tau `breaktrend' [aw=1/tause]
	qui testparm `breakpoint' `breaktrend'
	mat Q[`tt',1] = `taus'
	mat Q[`tt',2] = r(F)
	mat Q[`tt',3] = r(df)
	local tt = `tt' + 1
}


preserve
clear
qui svmat Q
qui tsset Q1
tsline Q2, title("F-statistic for different break points (with trend, equ 2c)") ytitle("F-stat") xtitle("event time")

gsort -Q2
rename Q1 eventtime
rename Q2 F
rename Q3 df

outsheet using "`filename'", replace

list
restore

end
